package com.ym.mec.collectfee.service;

import com.ym.mec.collectfee.common.service.BaseService;
import com.ym.mec.collectfee.entity.ResponseCourseEntity;
import com.ym.mec.collectfee.entity.School;

public interface SchoolService extends BaseService<Integer, School> {

    School upsetSchool(ResponseCourseEntity courseEntity);

    /**
     * 开启乐团缴费
     * @param classId
     */
    void openClassPay(Integer classId,String smsMsg,int type,int isSingle);

    /**
     * 缴费成功发送短信
     * @param mobile
     */
    void sendPayMsg(String mobile,String amount);
}